%define upstream_name    Search-Tokenizer
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Decompose a string into tokens (words)
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Transliterator::Unaccent)
BuildRequires: perl(Unicode::CaseFold)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module builds an iterator function that will progressively extract
terms from a given input string. Terms are defined by a regular expression
(for example '\w+'). Term matching relies on the builtin "global match"
operator of Perl (the 'g' flag), and therefore is quite efficient.

Before being returned to the caller, terms may be filtered by an auxiliary
function, for performing tasks such as stemming or stopword elimination.

A tokenizer returned from the /"new" method is a code reference, _not_ a
regular Perl object. To use the tokenizer, just call it with a string to
parse : this will return another code reference, which works as an
iterator. Each call to the iterator will return the next term from the
string, until the string is exhausted.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.10.0-3pclos2017
- rebuild against updates

